---
title: "Update a user's password"
slug: "update-a-users-password"
updated: 2024-10-25T18:04:27Z
published: 2026-02-10T22:32:35Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skillable.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a user's password

Get/UpdateUserPassword

Allows you to update a user's password.

SecurityAPI Key: api_keyHeader parameter nameapi_key

Query parametersidinteger (int32) Required

The user's ID

Example57383
passwordstringRequired

The new password

forcePasswordChangeboolean

An optional parameter to force the user to change their password on the next login

Responses200

OK Response

<select class='api-response-data' aria-label='Media type'><option value='d011a073-30e8-49f4-8343-cab23e660ed4'>application/json</option>
</select>object  statusinteger  (int32)    

Indicates the status of the API request.

- 0 = Success
- 10 = Error
- 20 = Not found
- 30 = Invalid integration key

Example10
errorstring   | null  

Error details. This will only have a value if an error was encountered. The status property will also be set to Error (10).
